Bug 203138 - Can't get printing to work after choosing a system default printer
Can't get printing to work after choosing a system default printer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 12:00 EDT by Tom Cross
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 14:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Cross 2006-08-18 12:00:30 EDT
Description of problem:
Install of FC6t2 onto VMWare session updated 8/18/06.  At first system detected
all my available printers on the network.  It allowed me to print just fine.  I
quickly tired of picking the correct printer and started "system-config-printer"
to pick my default printer queue.  I have not been able to print anywhere after
I picked a default queue.

Version-Release number of selected component (if applicable):
hal-cups-utils-0.6.2-3
cups-libs-1.2.2-12
cups-1.2.2-12
libgnomecups-0.2.2-7
system-config-printer-0.7.25-1
system-config-printer-libs-0.7.25-1


How reproducible:
I cannot get anything able to print since I picked a default.

Steps to Reproduce:
1. choose default printer queue in system-config-printer
2.  attempt to print to default queue
3. nothing will print
  
Additional info:

I'm finding this in my /var/log/cups/error_log when I try a "lpq" on the queue:

D [18/Aug/2006:11:08:31 -0500] cupsdAcceptClient: 9 from localhost (Domain)
E [18/Aug/2006:11:08:31 -0500] cupsdAcceptClient: skipping getpeercon()
D [18/Aug/2006:11:08:31 -0500] cupsdReadClient: 9 POST / HTTP/1.1
D [18/Aug/2006:11:08:31 -0500] cupsdAuthorize: No authentication data provided.
D [18/Aug/2006:11:08:31 -0500] CUPS-Get-Printers
D [18/Aug/2006:11:08:31 -0500] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [18/Aug/2006:11:08:31 -0500] cupsdReadClient: 9 POST / HTTP/1.1
D [18/Aug/2006:11:08:31 -0500] cupsdAuthorize: No authentication data provided.
D [18/Aug/2006:11:08:31 -0500] CUPS-Get-Classes
D [18/Aug/2006:11:08:31 -0500] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [18/Aug/2006:11:08:31 -0500] cupsdReadClient: 9 POST / HTTP/1.1
D [18/Aug/2006:11:08:31 -0500] cupsdAuthorize: No authentication data provided.
D [18/Aug/2006:11:08:31 -0500] CUPS-Get-Default
D [18/Aug/2006:11:08:31 -0500] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [18/Aug/2006:11:08:31 -0500] cupsdReadClient: 9 POST / HTTP/1.1
D [18/Aug/2006:11:08:31 -0500] cupsdAuthorize: No authentication data provided.
D [18/Aug/2006:11:08:31 -0500] Get-Printer-Attributes ipp://localhost/printers/p13
D [18/Aug/2006:11:08:31 -0500] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [18/Aug/2006:11:08:31 -0500] cupsdReadClient: 9 POST / HTTP/1.1
D [18/Aug/2006:11:08:31 -0500] cupsdAuthorize: No authentication data provided.
D [18/Aug/2006:11:08:31 -0500] Get-Jobs ipp://localhost/printers/p13
D [18/Aug/2006:11:08:31 -0500] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [18/Aug/2006:11:08:31 -0500] cupsdCloseClient: 9



lpq command says the queue is "not ready".  Normally I can fix that by doing
"cupsenable queue".  The result of that command:

D [18/Aug/2006:11:09:45 -0500] cupsdAcceptClient: 9 from localhost (Domain)
E [18/Aug/2006:11:09:45 -0500] cupsdAcceptClient: skipping getpeercon()
D [18/Aug/2006:11:09:45 -0500] cupsdReadClient: 9 POST /admin/ HTTP/1.1
D [18/Aug/2006:11:09:45 -0500] cupsdAuthorize: No authentication data provided.
D [18/Aug/2006:11:09:45 -0500] Resume-Printer ipp://localhost/printers/p13
E [18/Aug/2006:11:09:45 -0500] Resume-Printer: Unauthorized
D [18/Aug/2006:11:09:45 -0500] cupsdSendError: 9 code=401 (Unauthorized)
D [18/Aug/2006:11:09:45 -0500] cupsdCloseClient: 9
D [18/Aug/2006:11:09:45 -0500] cupsdAcceptClient: 9 from localhost (Domain)
E [18/Aug/2006:11:09:45 -0500] cupsdAcceptClient: skipping getpeercon()
D [18/Aug/2006:11:09:45 -0500] cupsdReadClient: 9 POST /admin/ HTTP/1.1
D [18/Aug/2006:11:09:45 -0500] cupsdAuthorize: username="root"
D [18/Aug/2006:11:09:45 -0500] Resume-Printer ipp://localhost/printers/p13
D [18/Aug/2006:11:09:45 -0500] Discarding unused printer-state-changed event...
I [18/Aug/2006:11:09:45 -0500] Saving printers.conf...
I [18/Aug/2006:11:09:45 -0500] Printer "p13" started by "root".
E [18/Aug/2006:11:09:45 -0500] Job ID 2 cannot be printed to raw queue pointing
to a file!
D [18/Aug/2006:11:09:45 -0500] Discarding unused printer-state-changed event...
I [18/Aug/2006:11:09:45 -0500] Saving printers.conf...
D [18/Aug/2006:11:09:45 -0500] cupsdProcessIPPRequest: 9 status_code=0
(successful-ok)
D [18/Aug/2006:11:09:45 -0500] cupsdCloseClient: 9
Comment 1 Tom Cross 2006-08-18 12:02:39 EDT
my /etc/cups/printers.conf:

# Printer configuration file for CUPS v1.2.2
# Written by cupsd on 2006-08-18 11:09
<DefaultPrinter p13>
Info p13
DeviceURI file:/dev/null
State Stopped
StateMessage Raw printers cannot use file: devices!
StateTime 1155917385
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy retry-job
</Printer>
Comment 2 Tom Cross 2006-08-18 14:43:30 EDT
Apparently, it was a bug that was fixed in system-config-printer that's been fixed.

I started with a fresh install of fc6t2, then I updated it to get current
versions of everything.  Finally I tested setting the default printer and
testing printing.  It worked just fine.

Thanks

Note You need to log in before you can comment on or make changes to this bug.